Skip to main content
GET
TypeScript

Path Parameters

id
string
required

The token link id

accountAddress
string
required

The account address to get balance history for

Example:

"0x1234567890abcdef1234567890abcdef12345678"

Query Parameters

startDate
string<date-time>

Start date of the time range in ISO 8601 format

endDate
string<date-time>

End date of the time range in ISO 8601 format

interval
enum<string>
default:DAY

Time interval for grouping data

Available options:
HOUR,
DAY,
WEEK,
MONTH
pageCursor
string

Page cursor to get the next page

pageSize
integer

Number of items per page (max 100), requesting more than 100 will return 100 items

Required range: 1 <= x <= 100
sortBy
enum<string>
default:blockTimestamp

Sorting field (enum). Sorting only supported by 'blockTimestamp'

Available options:
blockTimestamp
order
enum<string>
default:DESC

ASC / DESC ordering (default DESC)

Available options:
ASC,
DESC

Response

Successfully retrieved the balance history

data
object[]
required

Array of balance history data points

Example:
next
string

Cursor for next page

Example:

"MjAyMy0xMi0xMyAyMDozNjowOC4zMDI=:MTEwMA=="

prev
string

Cursor for previous page

Example:

"dGhpcyBpcyBhIHByZXZpb3VzIGN1cnNvcg=="

total
number

Total count of items

Example:

150